## com.bbn.openmap.tools.symbology.milStd2525
Class CodeBattleDimension

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeBattleDimension

public class CodeBattleDimension
extends CodePosition

The CodeBattleDimension CodePositions notes whether the symbol represents an object in space, in the air, on the ground, surface of the water or underneath the water. The battle dimension usually changes the background shape of the symbol, and is noted on the third character of the symbol codes of those symbols that have battle dimensions.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeBattleDimension()`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeBattleDimension

    public CodeBattleDimension()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details